#include <stdio.h>
#include <string.h>
main(int ac,char **av)
{
  int i,k, obsnum1,obsnum2, etime,loop,shutter;
  char ss[80],t[80], color,c='"'; FILE *fp;
  if(ac<5){
    printf("\n\tUsage: fb exp_time loop shutter  comments\n");
    printf("\n\t   Ex: fb 100 12 1 \"flat i 6600a\"");
    printf("\n\t   Ex: fb   0  5 0 \"bias\"");
    printf("\n\t   Ex: fb   5  4 0 \"dark\"\n");
    printf("\n\n"); return(0);
  }
  sscanf(av[1],"%d",&etime); 
  if(etime<0 || etime >3000){ printf("exp_time wrong: 0~~3000\n"); return(0); }
  sscanf(av[2],"%d",&loop); 
  if(loop<=1 || loop >300){ printf("Num is error, 2~~300\n");     return(0); }
  sscanf(av[3],"%d",&shutter);
  if(shutter!=0 && shutter!=1){ printf("shutter should be 0/1\n"); return(0); }
  strcpy(ss,av[4]); color=0;
  for(i=1;i<9;i++)if(ss[i-1]==32 && ss[i+1]==32){ color=ss[i]; break; }

  sprintf(t,"dbset setups.exposure.current.value %d",etime*100);  system(t);
  sprintf(t,"dbset setups.obstype.current.value %d",shutter);     system(t);
  sprintf(t,"dbset setups.object.current.value %c%s%c",c,ss,c);   system(t);

                            system("dbset setups.record.current.value Yes");
  getvar2("variables","obsnum",ss); sscanf(ss,"%d",&obsnum1);
  printf("begin obsnum: %d\n***** ",obsnum1);
  for(i=0;i<loop;i++){
    printf("%d ",i+1); fflush(stdout);
    sprintf(t,"dbset setups.flags.windowset.value 1");      system(t);
    sprintf(t,"dbset setups.flags.start.value 1");          system(t);
    sleep(etime+50+10);
/*
l00:            // must pc+unix_n3 working, not always
    fp=popen("tail -1 /u/ccdev/status/telescope.txt","r");
    fgets(ss,80,fp); pclose(fp);
    if(ss[45]==32){ sleep(4); goto l00; }
*/
  } printf("*****\n");
  getvar2("variables","obsnum",ss); sscanf(ss,"%d",&obsnum2);
  if(color){ chdir("/data");
    for(i=obsnum1;i<obsnum2;i++){ sprintf(ss,"addfit d%d.ccd %c FLAT",i,color);
      printf("\07%s\n",ss); system(ss);
    }
  }
  system("date"); system("beep 6 &");
}  

getvar2(s1,s2,ss)
char *s1,*s2,*ss;
{
  char bin[80];
  int k;
  FILE *fp;
  strcpy(bin,"/u/ccdev/jiang/vdbshow ");
  strcat(bin,s1);   strcat(bin," ");   strcat(bin,s2);
  fp=popen(bin,"r"); k=fread(bin,1,80,fp); pclose(fp);
  bin[k]=0;   strcpy(ss,bin);
}
